package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterOrderTransactionLog;
import cn.superdesk.uniorder.dto.vo.operationCenter.order.OperationCenterOrderTransactionLogVo;

import java.util.List;


public interface OperationCenterOrderTransactionLogMapper {


    int deleteByPrimaryKey(Long id);

    int insert(OperationCenterOrderTransactionLog record);

    int insertSelective(OperationCenterOrderTransactionLog record);


    OperationCenterOrderTransactionLog selectByPrimaryKey(Long id);


    int updateByPrimaryKeySelective(OperationCenterOrderTransactionLog record);

    int updateByPrimaryKey(OperationCenterOrderTransactionLog record);

    List<OperationCenterOrderTransactionLogVo> getOrderTransactionListByOrderSn(String platformCode, String orderSn);
}